Subject: update
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Fri, 19 Sep 2008 17:48:29 -0400

Mike,
Steve Fata had Joey Sheets implement a "unique identifier" tracking and input feature.  I believe he is still in the process of testing and working out any kinks.  You may see some of that in the database when you are in there.  It is supposed to be there.
I went ahead and moved a copy of the backup for you to access.  I was hoping you might be able to get the credit card information corrected.  We have needed it at different times.  Let me know the status of this and when it is in place.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]